Draft "Линия"

From FreeCAD Documentation
Revision as of 16:17, 19 February 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Draft Line

Системное название
Draft Line
Расположение в меню
Черчение → Линия
Верстаки
Draft, Arch
Быстрые клавиши
L I
Представлено в версии
-
См. также
Draft Wire

Description

Описание

Инструмент «Линия» создает прямую линию, определяемую двумя точками. Он использует набор Draft Linestyle на панели инструментов «Тревожный лоток». Инструмент «Линия» ведет себя точно так же, как инструмент Draft Wire, за исключением того, что он останавливается после двух точек.

Usage

  1. Press the Draft Line button, or use the Draft Line from the top menu, or use the keyboard shortcut: L then I keys.
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the add point button.

The line can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the points to a new position.

Fusing single lines

If several connected Draft Lines are selected they can be fused into a wire by pressing the Draft Upgrade tool; however, this Wire will not be editable. To create an editable wire, use Draft Upgrade three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the Draft Wire tool.

Adding points

A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the add point button, and click anywhere on the line.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can also define the polar coordinates of the point by giving a value to "Length" and "Angle". Click on the checkbox next to "Angle" to constrain the pointer to the specified angle.
    • You can press the add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Ctrl+Z or press the Undo button to undo the last point.
  • Press Esc or the Close button to abort the current command.

свойства

  • ДАННЫЕStart: Начальная точка
  • ДАННЫЕEnd: Конечная точка
  • ДАННЫЕSubdivisions: Разделяет линию с заданным количеством подразделений introduced in version 0.16

Data

  • ДанныеStart: specifies the start point.
  • ДанныеEnd: specifies the end point.
  • ДанныеSubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • ДанныеLength: (read-only) specifies the length of the segment.

View

  • ВидEnd Arrow: if it is true it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • ВидArrow Size: specifies the size of the symbol displayed at the end of the line.
  • ВидArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Creates a Line object between points p1 and p2, each defined by its FreeCAD.Vector, with units in millimeters.
  • Creates a Line object from a Part.LineSegment.
  • Creates a Line object from the first vertex to the last vertex of the given Shape.

Пример:

import FreeCAD as App
import Draft

_doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
_doc.recompute()